#### Previous topic

scipy.interpolate.PiecewisePolynomial.derivatives

#### Next topic

scipy.interpolate.PchipInterpolator

# scipy.interpolate.PiecewisePolynomial.extend

`PiecewisePolynomial.``extend`(xi, yi, orders=None)

  Extend the PiecewisePolynomial by a list of points

  Parameters:

  xi : array_like

  > A sorted list of x-coordinates.

  yi : list of lists of length N1

  > `yi[i]` (if `axis == 0`) is the list of derivatives known at `xi[i]`.

  orders : int or list of ints, optional

  > A list of polynomial orders, or a single universal order.